Subject: [bug#59822] [PATCH guix-artwork] website: base: home: Add 'DOWNLOAD LATEST' button.

From: Simon Tournier <[email-masked]>
Date: Wed, 11 Jan 2023 17:11:29 +0100

Hi Florianm

On Mon, 09 Jan 2023 at 20:35, "pelzflorian (Florian Pelz)" <[email-masked]> wrote:

> Yes without internal links really is not nice, but despite all that,
> wouldn’t newcomers feel confused if we present them a choice?  Wouldn’t
> newcomers who download a non-working latest put the blame on GNU Guix?

I speak for myself when using a random project elsewhere.  Usually, I do
not feel confused if it is really clear what is the recommended product
and what is the experimental one; and what I can expect from each
product.

And when this distinction is clear, I do not blame this very project if
the experimental is not working as expected.  Somehow, I consider that I
am able to make my own choices. :-)

To me, the situation is already clear with Guix.  Maybe we could improve
the wording although I find it clear. ;-)

The recommendation is the release.  From the front webpage, it is where
the newcomer is redirected when clicking on the large Download button.

Moreover, the top menu Download lists Standard or Latest.  The Standard
redirects to the release.  And the Latest redirects to a webpage using
the term “development snapshots”, which is pretty clear, IMHO.

My suggestion was about discoverability.

As currently, keep very clear that the release download webpage
(standard) is the recommendation.  From this webpage, I am suggesting to
add a mention to the experimental (development snapshots) webpage.  For
instance, such download-latest contains Hurd or Pinebook images.

Well, WDYT about this patch?

diff --git a/website/apps/download/templates/download.scm b/website/apps/download/templates/download.scm
index bcf3cd2..34d1d5f 100644
--- a/website/apps/download/templates/download.scm
+++ b/website/apps/download/templates/download.scm
@@ -65,7 +65,9 @@ Package manager") #\|)
           ,(G_ `(a (@ (href ,(gnu-url "software/shepherd"))) "GNU Shepherd"))
           " init system. Alternately, GNU Guix
           can be installed as an additional package manager on top of an
-          installed Linux-based system."))
+          installed Linux-based system.  For other images including GNU Hurd,
+please consider the"
+          ,(G_ `(a (@ (href ,(guix-url "download-latest/"))) "experimental snapshots."))))
 
       (div
        (@ (class "centered-text"))

Cheers,
simon